<?php
/*
Plugin Name:   افزونه کانی تک
Description: تنظیمات ریز ووکامرس برای محصولات دانلودی
Author: Zahed fathizadeh
Author URI: http://kany.ir/
*/

// اضافه کردن یک لینک به منوی مدیریت
function my_plugin_menu() {
    add_menu_page('تنظیمات افزونه من', 'کانی تک', 'manage_options', 'my-unique-identifier', 'my_plugin_page');
}

add_action('admin_menu', 'my_plugin_menu');

// نمایش صفحه تنظیمات
function my_plugin_page(){
    ?>
    <div class="wrap">
        <h2>تنظیمات کانی تک</h2>
        <form method="post" action="options.php">
            <?php settings_fields('my-plugin-settings-group'); ?>
            <?php do_settings_sections('my-plugin-settings-group'); ?>
            <table class="form-table">
                <tr valign="top">
                <th scope="row">چک باکس مجازی</th>
                <td><input type="checkbox" name="my_first_option" value="1" <?php checked(1, get_option('my_first_option'), true); ?> /></td>
                </tr>
                <tr valign="top">
                <th scope="row">چک باکس دانلودی</th>
                <td><input type="checkbox" name="my_second_option" value="1" <?php checked(1, get_option('my_second_option'), true); ?> /></td>
                </tr>
            </table>
            <?php submit_button(); ?>
        </form>
    </div>
    <?php
}

// ثبت تنظیمات
function register_my_plugin_settings() {
    register_setting('my-plugin-settings-group', 'my_first_option');
    register_setting('my-plugin-settings-group', 'my_second_option');
}

add_action('admin_init', 'register_my_plugin_settings');

// توابع بررسی وضعیت فعال یا غیرفعال بودن ویژگی‌ها
function is_my_first_feature_active() {
    return get_option('my_first_option') === '1';
}

function is_my_second_feature_active() {
    return get_option('my_second_option') === '1';
}

// اضافه کردن هوک‌ها بر اساس وضعیت ویژگی‌ها
function setup_my_plugin_features() {
    if (is_my_first_feature_active()) {
        // کد مربوط به ویژگی اول
add_filter( 'product_type_options', 'autocheck_v');

function autocheck_v( $arr ){
    $arr['virtual']['default'] = "yes"; 
    return $arr; 
}    }
    if (is_my_second_feature_active()) {
        // کد مربوط به ویژگی دوم
add_filter( 'product_type_options', 'autocheck_d');
function autocheck_d( $arr ){
    $arr['downloadable']['default'] = "yes"; 
    return $arr;    }
}}

add_action('init', 'setup_my_plugin_features');

// توابع مربوط به هر ویژگی
function my_first_feature_function() {
    // کد مربوط به ویژگی اول
    echo '<!-- کد مربوط به ویژگی اول افزونه من -->';
}

function my_second_feature_function() {
    // کد مربوط به ویژگی دوم
    echo '<!-- کد مربوط به ویژگی دوم افزونه من -->';
}
?>
